This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 652697 - lxdm-binary dies on SIGSEGV
lxdm-binary dies on SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lxdm (Show other bugs)
14
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-12 10:10 EST by Erwan Legrand
Modified: 2012-04-03 15:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: lxdm-0.4.1-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-23 13:42:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
lxdm-binary backtrace (4.69 KB, text/plain)
2010-11-12 10:23 EST, Erwan Legrand
no flags Details

  None (edit)
Description Erwan Legrand 2010-11-12 10:10:30 EST
Description of problem:
lxdm crashes whenever a login attempt is made

Version-Release number of selected component (if applicable):
lxdm-0.3.0-1.fc14.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Attempt to login on Fedora 14 LXDE
  
Actual results:
Can't log in. X server either caught in an infinite loop. 

Expected results:
User logs in succesfuly.

Additional info:
Might be related to bug 652692.

Work around:
1. Press Ctrl+Alt+Backspace to kill X server
2. Press Ctrl+Alt F2 to get a console
3. Log in as root
4. Run yum install gdm
5. Edit /etc/sysconfig/desktop and set DISPLAYMANAGER to /usr/sbin/gdm
Comment 1 Erwan Legrand 2010-11-12 10:23:58 EST
Created attachment 460070 [details]
lxdm-binary backtrace
Comment 2 Christoph Wickert 2010-11-12 10:31:37 EST
Does it carsh *every* time? Can you boot with SELinux disabled (enforcing=0 on the grub kernel... line) to see if it is the culprit?
Comment 3 Erwan Legrand 2010-11-12 11:20:27 EST
It worked fine until two days ago. Now it crashes every single time.

Setting SELinux to permissive mode does not prevent this from happening. This does not seem to be SELinux-related after all.
Comment 4 Christoph Wickert 2010-11-12 11:48:15 EST
Did you do any updates during the time-fame in question? Use gpk-log or rpm -qa --last fo check pleas. I'm interested in anything that is related to GTK, consolekit and PAM or whatever you find worth mentioning.
Comment 5 Erwan Legrand 2010-11-12 13:25:06 EST
I've installed the following packages:
gimp-2.6.11-1.fc14
gegl-0.1.2-4.fc14
libspiro-20071029-4.fc13
OpenEXR-libs-1.7.0-1.fc14
gimp-libs-2.6.11-1.fc14
babl-0.1.2-4.fc14
ilmbase-1.0.2-1.fc14
ImageMagick-6.6.4.1-14.fc14.1
man-pages-3.25-1.fc14
samba-winbind-3.5.6-69.fc14
samba-client-3.5.6-69.fc14
samba-common-3.5.6-69.fc14

I remember playing with Kerberos, too. Like configuring /etc/krb5.conf, running kinit and giving a look at the Authentication graphical administration tool. I do not think PAM is configured to use Kerberos, so I fail to see why this would break lxdm.
Comment 6 Fedora Update System 2012-03-21 16:49:56 EDT
lxdm-0.4.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lxdm-0.4.1-1.fc17
Comment 7 Fedora Update System 2012-03-21 16:52:34 EDT
lxdm-0.4.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lxdm-0.4.1-1.fc16
Comment 8 Fedora Update System 2012-03-21 16:59:21 EDT
lxdm-0.4.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/lxdm-0.4.1-1.fc15
Comment 9 Fedora Update System 2012-03-21 21:55:16 EDT
Package lxdm-0.4.1-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lxdm-0.4.1-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4399/lxdm-0.4.1-1.fc16
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-03-23 13:42:36 EDT
lxdm-0.4.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-04-03 15:53:25 EDT
lxdm-0.4.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-04-03 15:55:19 EDT
lxdm-0.4.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.